/*
 * 2x1 plating of 2.5" form factor (SFF-8201) drive 2.5-mm height adapters
 *
 * Copyright (C) 2016, 2017  Libiquity LLC
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

use <../parts/sff8201-ha.scad>

  out_h = 2.50;  /* Height (SFF-8201 dimension A1, 9.50 - 7.00) */
spacing = 2;     /* Spacing between height adapters */

for (i = [-1, 1]) {
	translate(v = [i * (sff8201_ha_width()/2 + spacing/2), 0, 0])
		rotate(a = [0, 0, 90]) sff8201_ha(out_h = out_h);
}
